/*

rules that common to & basically required on every website. If you want to add
additional rules or override these, then create a separate stylesheet and identify it as a theme

 */
html {
    position: relative;
    min-height: 100%;
}

body {
    padding-top: 70px;
    margin-bottom: 60px;
}

.navbar-brand {
    padding: 0;
    margin: 0;
}

.main-container {
    padding-top: 0;
    padding-right: 0;
    padding-left: 0;
}

.main-page-content-block {
    background-color: white;
    color: darkgray;
    min-height: 300px;
    margin-top: 2.0em;
    padding: 1.0em;
    border: solid #ccc 1px;

    /* rounded corners */
    -webkit-border-radius: 12px;
    -moz-border-radius: 7px;
    border-radius: 7px;
}

.borderless td, .borderless th {
    border: none !important;
}

.img-responsive {
    max-height: 50px;
}

#img-logo {
    padding-top: 8px;
    padding-bottom: 5px;
    padding-left: 10px;
}

/* the "x" button to close modal dialog boxes */
.close {
    color: white;
    opacity: .75;
}

.close:hover {
    color: white;
    opacity: 1.0;
}

.loading-image {
    display: block;
    margin: 0 auto;
    text-align: center;
    max-height: 200px;
}

#print-header {
    display: none;
}

.footer {
    background-color: lightgrey;
    opacity: 0.7;
    border: 1.5em lightgray solid;
    font-weight: normal;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 60px;
}

/* bib detail display page */

#bibInfo {
    margin-left: 1.0em;
    padding-left: 1.0em;
    float: none;
    max-width: 90%;
    alignment: top;
}

#detailJacket {
    float: left;
    width: 18.0em;
    height: auto;
    margin: 0;
    alignment: top;
}

#materialTypeImage img {
    width: 3.0em;
    height: auto;
}

.bib-detail-side-panel {
    background-color: white;
    background-image: none;
    text-align: center;

    /* rounded corners */
    -webkit-border-radius: 6px;
    -moz-border-radius: 7px;
    border-radius: 7px;

    /* gradients */
    background: -webkit-gradient(linear, left top, left bottom,
    color-stop(0%, white), color-stop(15%, white), color-stop(100%, #FFF7E8));
    background: -moz-linear-gradient(top, white 0%, white 55%, #D5E4F3 130%);
}

.bib-detail-side-panel-link {
    margin-bottom: 2.0em;
}
.bib-detail-bookjacket-col {
    text-align: center;
}

.bookjacket-image {
    max-width: 100%;
}

.panel-image {
    max-width: 120px;
    width: 100%;
}

#__GBS_Button0 img {
    max-width: 100%;
    width: auto;
}

/* The MARC display */

.table-marc tbody tr td {
    padding: 3px;
}

#accordion .panel-heading { padding: 0;}
#accordion .panel-title > a {
    display: block;
    padding: 0.4em 0.6em;
    outline: none;
    font-weight:bold;
    text-decoration: none;
}

#accordion .panel-title > a.accordion-toggle::before, #accordion a[data-toggle="collapse"]::before  {
    content:"\e113"; /* chevron up */
    float: right;
    font-family: 'Glyphicons Halflings';
    margin-right :1em;
}
#accordion .panel-title > a.accordion-toggle.collapsed::before, #accordion a.collapsed[data-toggle="collapse"]::before  {
    content:"\e114";  /* chevron down */
}

/* for the carousel */

.carousel-block {
    width: 100%;
    padding: 1.0em;
    background-color: #fff;
    display: inline-block;
    alignment: center;

    /* gradients */
    background: -webkit-gradient(linear, left top, left bottom,
    color-stop(0%, white), color-stop(55%, #d6f2f9), color-stop(130%, #d6f2f9));
    background: -moz-linear-gradient(top, black 0%, #0f1e57 55%, #2f519b 130%);
}

#carousel {
    width: auto;
    border:none;
    height:200px;
    padding: 1.0em;
    clear:both;
    overflow:hidden;
    background:transparent;
    margin: auto;
    alignment: center;
}

#carousel img {
    visibility:hidden; /* hide images until carousel can handle them */
    cursor:pointer; /* otherwise it's not as obvious items can be clicked */
    height: 150px;
    /* this currently crashes Safari on a Mac :( */
    -webkit-box-reflect: below 1px -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(70%, transparent) , to(rgba(250, 250, 250, 0.2)));
}

/* for the bento box search widget on the index page */

.bento-container {
    background-image: url(/images/library-bg.jpg);
    width: 100%;
    height: 100%;
    padding-top: 8.0em;
    padding-bottom: 8.0em;
}

.bento-block {
    min-width: 320px;
    max-width: 800px;
    padding: 20px;
    margin: 0 auto;
    border: 1px solid #aaa;
}

.bento-fieldset {
    padding: 2.0em;
    border: 1px solid #ddd;
}

.bento-section {
    display: none;
    padding: 20px 0 0;
    border-top: 1px solid #ddd;
}

.bento-label {
    display: inline-block;
    margin: 0 0 -1px;
    padding: 15px 25px;
    font-weight: 600;
    text-align: center;
    color: #bbb;
    border: 1px solid transparent;
}

.bento-label:hover {
    color: #888;
    cursor: pointer;
}

.tab-button {
    display: none;
}

.tab-button:checked + label {
    color: #555;
    border: 1px solid #ddd;
    border-top: 2px solid #942025;
    border-bottom: 1px solid #fff;
}

#tab1:checked ~ #content1,
#tab2:checked ~ #content2,
#tab3:checked ~ #content3,
#tab4:checked ~ #content4 {
    display: block;
}

#encore-search-input {
    width: 75%;
}

#vital-search-input {
    width: 75%;
}

#classic-search-input {
    width: 40%;
}

#classic-search-type {
    width: 40%;
}

.db-alpha-list ul {
    list-style: none;
    margin: 0 0 0 10px;
    padding: 0;
    display: inline;
}

.db-alpha-list ul li {
    display: inline;
    width: auto;
    padding: 0;
    margin: 0 10px 0 0;
    list-style: none;
    border: none;
}

.register {
    font-weight: bold;
}

/* mask buttons and checkboxes when printing the Reading History */
@media print {
    .btn  { display: none }
    .selectAll      { display: none }
    .selectOne      { display: none }
}